Bug 98175 - eclipse crashes after installing eclipseuml
eclipse crashes after installing eclipseuml
Status: CLOSED CANTFIX
Product: Red Hat Linux
Classification: Retired
Component: redhat-artwork (Show other bugs)
9
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: John (J5) Palmieri
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-06-27 09:58 EDT by Steven Segers
Modified: 2013-03-13 00:45 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-01-02 14:16:19 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Ouput from eclipse after crash (18.63 KB, text/plain)
2003-06-27 09:59 EDT, Steven Segers
no flags Details

  None (edit)
Description Steven Segers 2003-06-27 09:58:06 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.2.1) Gecko/20030225

Description of problem:
After installing eclipseuml, eclipse crashes with the attatched output when you
select UML>Class diagram editor on a package.
On the internet I found this report
(http://archives.mandrakelinux.com/cooker/2003-04/msg00564.php), indicating that
the problem would be caused by a gtk engine. I removed
/usr/lib/gtk-2.0/2.2.0/engines/libbluecurve.so and the problem was gone (but the
eclipse gui looked somewhat less cool).

Version-Release number of selected component (if applicable):
gtk2-2.2.1-4

How reproducible:
Always

Steps to Reproduce:
1. Install eclipse 2.1 (http://eclipse.org/downloads/index.php)
2. Install eclipseuml 1.2.1 for eclipse (autoinstaller)
(http://www.eclipseuml.com/download.jsp)
3. Start eclipse
4. Open a java project
5. Right-click on a package and select UML>Class diagram editor
Should crash now ...


Actual Results:  Eclipse crashed

Expected Results:  Eclipse should not have crashed

Additional info:
Comment 1 Steven Segers 2003-06-27 09:59:58 EDT
Created attachment 92655 [details]
Ouput from eclipse after crash
Comment 2 Owen Taylor 2003-07-06 09:57:59 EDT
libbluecurve.so is part of the redhat-artwork package
Comment 3 Bill Nottingham 2006-08-05 01:20:54 EDT
Red Hat apologizes that these issues have not been resolved yet. We do want to
make sure that no important bugs slip through the cracks.

Red Hat Linux 7.3 and Red Hat Linux 9 are no longer supported by Red Hat, Inc.
They are maintained by the Fedora Legacy project (http://www.fedoralegacy.org/)
for security updates only. If this is a security issue, please reassign to the
'Fedora Legacy' product in bugzilla. Please note that Legacy security update
support for these products will stop on December 31st, 2006.

If this is not a security issue, please check if this issue is still present
in a current Fedora Core release. If so, please change the product and version
to match, and check the box indicating that the requested information has been
provided.

If you are currently still running Red Hat Linux 7.3 or 9, please note that
Fedora Legacy security update support for these products will stop on December
31st, 2006. You are strongly advised to upgrade to a current Fedora Core release
or Red Hat Enterprise Linux or comparable. Some information on which option may
be right for you is available at http://www.redhat.com/rhel/migrate/redhatlinux/.

Any bug still open against Red Hat Linux 7.3 or 9 at the end of 2006 will be
closed 'CANTFIX'. Again, if this bug still exists in a current release, or is a
security issue, please change the product as necessary. We thank you for your
help, and apologize again that we haven't handled these issues to this point.
Comment 5 Bill Nottingham 2007-01-02 14:16:19 EST
Red Hat Linux 7.3 and Red Hat Linux 9 are no longer supported by Red Hat, Inc.
f you are currently still running Red Hat Linux 7.3 or 9, you are strongly
advised to upgrade to a current Fedora Core release or Red Hat Enterprise Linux
or comparable. Some information on which option may be right for you is
available at http://www.redhat.com/rhel/migrate/redhatlinux/.

Closing as CANTFIX.

Note You need to log in before you can comment on or make changes to this bug.